Package org.gradle.tooling.model.dsl

# Interface GradleDslBaseScriptModel

@Incubating public interface GradleDslBaseScriptModel
This interface represents the base Kotlin DSL script models. This model can be queried very early in the build lifecycle, without any script evaluation or build configuration.

Since:
  9.2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroovyDslBaseScriptModel`
  `getGroovyDslBaseScriptModel()`
  The Groovy DSL specific part of the model.
  `KotlinDslBaseScriptModel`
  `getKotlinDslBaseScriptModel()`
  The Kotlin DSL specific part of the model.

- ## Method Details

  - ### getGroovyDslBaseScriptModel

    GroovyDslBaseScriptModel getGroovyDslBaseScriptModel()
    The Groovy DSL specific part of the model.
    Since:
      9.2.0

  - ### getKotlinDslBaseScriptModel

    KotlinDslBaseScriptModel getKotlinDslBaseScriptModel()
    The Kotlin DSL specific part of the model.
    Since:
      9.2.0